# Class: InterPluginResult

## InterPluginResult

#### new InterPluginResult()

  Initializes a new instance of a plugin result object passed from an invoked plugin.

### Extends

- PluginResultBase

### Methods

#### addCommitMessage(message)

  Adds commit message to result.

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `message` | string |

#### getCommitMessages(messages)

  Gets the added commitMessages.

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `messages` | Array.<string> |

#### Search results